<!DOCTYPE html>
<html lang="en">
<head>
  <title>{% trans %}GNUKhata{% endtrans %} | {% trans %}Activity Log{% endtrans %}</title>
  <style type="text/css">
   .shadow {
       box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
   }
   #logtable td {
       font-size: 75%;
       padding: 4 !important;
       margin: 4 !important;
   }

   #logtable th {
       font-size: 85%;
   }
   .card-view .title {
       font-weight: bold;
       display: inline-block;
       min-width: 20%;
       text-align: left !important;
   }
   #logtable tbody {
       display:block;
       height: calc(69vh);
       overflow-y:scroll;
   }
   #logtable thead,#logtable tbody tr {
       display:table;
       width:100%;
       table-layout:fixed;
   }
   #logtable thead {
       width: calc( 99.1% )
   }
   .ralign{
       text-align:right;

   }
   .cred{
       color:red;
   }
   .calign{
       text-align:center;
   }
   .dtwrap{
       width :6%
   }
   .smwrap{
       width:4%
   }
   .lngwrap{
       width:20%
   }
   .mdwrap{
       width:8%
   }


  </style>
</head>
<body>
  <input type="hidden" id="logof" value={{typeflag}}>
  <input type="hidden" id="username" value={{username}}>
  <input type="hidden" id="userid" value={{userid}}>
  <input type="hidden" id="calculatefrom" value={{logheader["calculatefrom"]}} >
  <input type="hidden" id="calculateto" value={{logheader["calculateto"]}}>
  <div class="col-xs-10 nopadding">
  <span class="pull-right" style="padding-right:15px"><i>{% trans %}Period{% endtrans %}</i> : <strong>{{logheader["calculatefrom"]}}</strong> {% trans %}to{% endtrans %} <strong>{{logheader["calculateto"]}}</strong></span>
  {% if typeflag == "1" %}
  <span style="margin-left:46%; display:table; font-size:120%;"><strong>{% trans %}Activity Log of All Users{% endtrans %}</strong></span>
  {% else %}
  <span style="margin-left:46%; display:table; font-size:120%;"><strong>{% trans %}Activity Log of User{% endtrans %}</i> :{{username}}</strong></span>
  {% endif %}
  </div>
  <div class="pull-right input-group input-group-sm" style="margin-bottom:2px;">
    <span class="input-group-addon glyphicon glyphicon-search" id="reportsearchspan">
    </span>
    <input id="reportsearch" class="form-control" type="text" accesskey="s" placeholder="{% trans %}Quick Search{% endtrans %}"/>
    <span class="input-group-addon glyphicon glyphicon-arrow-left" id="reportclearsearchspan" style="display:none;">
    </span>
  </div>
  <table id="logtable" class="table shadow table-bordered" data-toggle="table">
    <thead class="bg-primary">
      <tr>
        <th class="dtwrap calign" data-field="date" data-sortable="true">{% trans %}Date{% endtrans %}
	  {% if orderflag=="4" %}
	    <span  id="logDate" class="glyphicon glyphicon-chevron-down pull-right" orderflag="4"  style="font-size:80%; margin: 5.5 auto; cursor: pointer;"></span>
	  {% else %}
	  <span  id="logDate" class="glyphicon glyphicon-chevron-up pull-right" orderflag="1"  style="font-size:80%; margin: 5.5 auto; cursor: pointer;"></span>
	  {% endif %}
	</th>
        {% if typeflag == "1" %}
          <th class="mdwrap calign" data-sortable="true" data-field="username" data-sorter="alphanum">{% trans %}User Name(Role){% endtrans %}
	    <span class="glyphicon glyphicon-chevron-down pull-right" style="font-size:80%; margin: 5.5 auto; cursor: pointer;"></span></th>             {% endif %}
	    <th class="lngwrap" data-sortable="true" data-field="activity" data-sorter="alphanum">{% trans %}Activity{% endtrans %}<span class="glyphicon glyphicon-chevron-down pull-right" style="font-size:80%; margin: 5.5 auto; cursor: pointer;"></span></th>
      </tr>
    </thead>
    <tbody>
      {% if typeflag == "1" %}
        {% for record in records %}
          <tr  data-value="{{record['logid']}}">
            <td class="dtwrap calign">
              {{record['time']}}
            </td>

            <td class="mdwrap calign">
              {{record['username']}}
            </td>

            <td class="lngwrap">
              {{record['activity']}}
            </td>
        {% endfor %}
      {% else %}
        {% for record in records %}
          <tr  data-value="{{record['logid']}}">
            <td class="dtwrap calign">
              {{record['time']}}
            </td>

            <td class="lngwrap">
              {{record['activity']}}
            </td>
        {% endfor %}
      {% endif %}
    </tbody>
  </table>
  <span style="margin:auto; display:table;">
    <button class="btn btn-sm btn-warning" type="button" id="anotherlog" accesskey="v"><i class="fa fa-eye" aria-hidden="true"></i> {% trans %}<u>V</u>iew Another log{% endtrans %}</button>
    <button class="btn btn-sm btn-info" type="button"  id="viewprintablelogreport" accesskey="t"><i class="fa fa-print" aria-hidden="true"></i> {% trans %}View Prin<u>t</u>able Version{% endtrans %}</button>
  </span>

  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table.js')}}"></script>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table-natural-sorting.js')}}"></script>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/logreport.js')}}"></script>
</body>
</html>
